% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/10_survival.R
\name{survival_example}
\alias{survival_example}
\alias{fit_survival}
\title{Fit/Plot survival}
\usage{
survival_example()

fit_survival(
  object,
  ntile = 2,
  engine = c("coxph", "survdiff", "logrank")[1],
  assay = assayNames(object)[1],
  sep = FITSEP,
  verbose = TRUE,
  plot = if (is.null(outdir)) FALSE else TRUE,
  outdir = NULL,
  writefunname = "write_xl"
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{ntile}{number}

\item{engine}{'coxph' (survival), 'survdiff' (survival), 'logrank' (coin)}

\item{assay}{string}

\item{sep}{fvar string separator : e.g. '~' gives p~surv~LR50}

\item{verbose}{TRUE or FALSE}

\item{plot}{TRUE or FALSE}

\item{outdir}{dir}

\item{writefunname}{'write_xl' or 'write_ods'}
}
\value{
ggsurvplot
}
\description{
Fit/Plot survival
}
\examples{
# Defaults
    object <- survival_example()
    fit_survival(object)
# Engines
    fit_survival(object, engine = c('coxph', 'survdiff'))
    fit_survival(object, engine = c('coxph', 'survdiff', 'logrank'))
# Quantiles
    fit_survival(object, engine = 'logrank')
    fit_survival(object, engine = 'logrank', ntile = 4)
# Plot
    fit_survival(object)
    fit_survival(object, plot = TRUE)
    fit_survival(object, engine = c('coxph', 'survdiff', 'logrank'), plot = TRUE)
}
